﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace MediaElementLimit
{
    public partial class PlayButton : UserControl
    {
        private MediaElement _media;
        public MediaElement Media
        {
            get { return _media; }
            set
            {
                _media = value;
                tbName.Text = _media.Name;
            }
        }

        public PlayButton()
        {
            InitializeComponent();
        }

        private void UserControl_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            if (_media == null)
                return;

            _media.Stop();
            _media.Play();
        }
    }
}
